using System.Text.Json.Serialization;
using System.Collections.Generic;
using Topsdk.Util;

namespace Topsdk.Top.Ability3261.Domain;

public class TaobaoTbkDgCpaActivityReportVegasCpaReportDTO
{

    /*
        符合奖励要求的累计用户数；按入参是预估/结算，区分用户数为预估or可结算结果；
    */
    private long? union30dLxUv;


    /*
        奖励金额；按入参是预估/结算，区分获得金额为预估or可结算结果；
    */
    private string? rewardAmount;


    /*
        rid，当查询数据为rid维度时返回该字段
    */
    private long? relationId;


    /*
        统计日期（统计活动期内，截止 统计日期 的数据）
    */
    private string? bizDate;


    /*
        媒体三段式id，当查询数据为pid维度时返回该字段
    */
    private string? pid;


    /*
        数据类型:1预估 2结算
    */
    private long? queryType;


    /*
        活动相关数据信息
    */
    private string? extInfo;



    [JsonPropertyName("union_30d_lx_uv")]
    public long? Union30dLxUv
    {
        get => union30dLxUv;
        set => this.union30dLxUv = value;
    }

    [JsonPropertyName("reward_amount")]
    public string? RewardAmount
    {
        get => rewardAmount;
        set => this.rewardAmount = value;
    }

    [JsonPropertyName("relation_id")]
    public long? RelationId
    {
        get => relationId;
        set => this.relationId = value;
    }

    [JsonPropertyName("biz_date")]
    public string? BizDate
    {
        get => bizDate;
        set => this.bizDate = value;
    }

    [JsonPropertyName("pid")]
    public string? Pid
    {
        get => pid;
        set => this.pid = value;
    }

    [JsonPropertyName("query_type")]
    public long? QueryType
    {
        get => queryType;
        set => this.queryType = value;
    }

    [JsonPropertyName("ext_info")]
    public string? ExtInfo
    {
        get => extInfo;
        set => this.extInfo = value;
    }

}

